Skip to main content
GET
GET /v0/scan-proxy/dso

Response

200 - application/json

ok

sv_user
string
required

User ID representing the SV

sv_party_id
string
required

Party representing the SV

dso_party_id
string
required

Party representing the whole DSO; for Scan only, also returned by /v0/dso-party-id

voting_threshold
integer
required

Threshold required to pass vote requests; also known as the "governance threshold", it is always derived from the number of svs in dso_rules

latest_mining_round
object
required

Contract of the Daml template Splice.Round.OpenMiningRound, the one with the highest round number on the ledger that has been signed by dso_party_id. The round may not be usable as it may not be opened yet, in accordance with its opensAt template field

amulet_rules
object
required

Contract of the Daml template Splice.AmuletRules.AmuletRules, including the full schedule of AmuletConfig changes approved by the DSO. Callers should not assume that initialValue is up-to-date, and should instead search futureValues for the latest configuration valid as of now

dso_rules
object
required

Contract of the Daml template Splice.DsoRules.DsoRules, listing the governance rules approved by the DSO governing this Splice network.

sv_node_states
object[]
required

For every one of svs listed in dso_rules, a contract of the Daml template Splice.DSO.SvState.SvNodeState. This does not include states for offboarded SVs, though they may still have an on-ledger state contract

initial_round
string

Initial round from which the network bootstraps